﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Net.NetworkInformation;
using System.Net.Mail;
using System.Net;
using System.Threading;
using System.IO;

namespace Email_Sender_v._1
{
    public partial class FrmYahoo : Form
    {
        public FrmYahoo()
        {
            InitializeComponent();
        }
        int s, m,c1,c2;
        Thread thsend;
        TextBox lblPass2 = new TextBox();
        TextBox lblUser2 = new TextBox();
        TextBox SmtpServer = new TextBox();

        #region Settings
        private void ShowSettings()
        {
            dsSettings.KSettingsDataTable dtsettings = new dsSettings.KSettingsDataTable();
            dsSettings.KSettingsRow row;

            //============================================
            // Check if file exists
            //============================================
            if (!File.Exists(@"Settings.dll"))
            {
                row = dtsettings.NewKSettingsRow();
                row.Username = "";
                row.Password = "";

                row.Username1 = "";
                row.Password1 = "";


                dtsettings.AddKSettingsRow(row);

                dtsettings.WriteXml(@"Settings.dll");
            }

            //============================================
            // Read all settings in xml
            //============================================
            dtsettings.ReadXml(@"Settings.dll");
            row = (dsSettings.KSettingsRow)dtsettings.Rows[0];
            lblUser.Text = row.Username;
            lblPass2.Text = row.Password;
            lblUser2.Text = row.Username;
        }
        #endregion

        

        private void sendmail()
        {
                    Thread.Sleep(1);
                    try
                    {
                            MailMessage msg = new MailMessage(new MailAddress(lblUser2.Text), new MailAddress(textBox1.Text));    //  Create a MailMessage object with a from and to address
                            msg.Subject = textBox2.Text;
                            msg.SubjectEncoding = System.Text.Encoding.UTF8;
                            msg.Body = textBox3.Text;
                            msg.BodyEncoding = System.Text.Encoding.UTF8;
                            msg.IsBodyHtml = false;
                            SmtpClient client = new SmtpClient(SmtpServer.Text, 587);
                            client.Credentials = new NetworkCredential(lblUser2.Text, lblPass2.Text);
                            client.EnableSsl = false;
                            try
                            {
                                client.Send(msg);
                                c1 = c1 + 1;
                                lblc1.Text = c1.ToString();
                            }
                            catch (SmtpException ex)
                            {
                            }
                    }
                    catch
                    {

                    }
        }


        private void button1_Click(object sender, EventArgs e)
        {
            if (textBox1.Text.ToLower().Contains("er_ff_an@yahoo.com"))
            {
                MessageBox.Show("این برنامه توسط گروه برنامه نویسی کُرد سافت کد نویسی شده شما نمی توانید برای سازنده ی برنامه بمبر بفرستید !", "Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
            }
            else
            {
                thsend = new Thread(sendmail);
                thsend.Start();
                timer1.Start();
                timer2.Start();
                s = 0;
                m = 0;
                c1 = 0;
                c2 = 0;
                button1.Enabled = false;
                button2.Enabled = false;
                button3.Enabled = false;
                button4.Enabled = true;
            }
        }

        private void FrmYahoo_Load(object sender, EventArgs e)
        {
            ShowSettings();
            if (lblUser2.Text.EndsWith("@gmail.com"))
            {
                SmtpServer.Text = "smtp.gmail.com";
            }
            else if (lblUser2.Text.EndsWith("@yahoo.com"))
            {
                SmtpServer.Text = "smtp.mail.yahoo.com";
            }
            if (lblUser.Text == "")
            {
                FrmLogin n = new FrmLogin();
                n.Owner = this;
                n.ShowDialog(this);
                ShowSettings();
            }
            if (lblUser2.Text.EndsWith("@gmail.com"))
            {
                SmtpServer.Text = "smtp.gmail.com";
            }
            else if (lblUser2.Text.EndsWith("@yahoo.com"))
            {
                SmtpServer.Text = "smtp.mail.yahoo.com";
            }
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            if (Int32.Parse(lblc1.Text) != 0)
            {
                if (Int32.Parse(lblc2.Text) <= Int32.Parse(lblc1.Text))
                {
                    c2 = c2 + 1;
                    thsend = new Thread(sendmail);
                    thsend.Start();
                }
            }
                lblc1.Text = c1.ToString();
                lblc2.Text = c2.ToString();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            if (File.Exists("Settings.dll"))
            {
                File.Delete("Settings.dll");
                Application.Restart();
            }
        }

        private void timer2_Tick(object sender, EventArgs e)
        {
            if (s == 60)
            {
                s = 0;
                s = s + 1;
                m = m + 1;
            }
            else
            {
                s = s + 1;
            }
            lblm.Text = m.ToString();
            lbls.Text = s.ToString();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            if (txtbomb.Text == "0" || txtbomb.Text=="")
            {
                MessageBox.Show("لطفاً تعداد ایمیل های ارسال شده را وارد کنید","Error",MessageBoxButtons.OK,MessageBoxIcon.Exclamation);
            }
            else
            {
                timer1.Start();
                timer2.Start();
                s = 0;
                m = 0;
                c1 = 0;
                c2 = 0;
                button1.Enabled = true;
                button2.Enabled = true;
                button3.Enabled = true;
                button4.Enabled = false;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            textBox1.Text = "";
            textBox2.Text = "";
            textBox3.Text = "";
        }

        private void timer3_Tick(object sender, EventArgs e)
        {
            if (lblc1.Text == txtbomb.Text)
            {
                toolStripStatusLabel2.Text = "تعداد" + txtbomb.Text + "ایمیل ارسال شد";
                toolStripStatusLabel2.ForeColor = Color.Red;
                timer1.Stop();
                timer2.Stop();
                thsend.Abort();
                return;
            }
            lblc1.Text = c1.ToString();
            lblc2.Text = c2.ToString();
        }

        private void FrmYahoo_FormClosing(object sender, FormClosingEventArgs e)
        {
            txtbomb.Text = "0";
            timer1.Stop();
            timer2.Stop();
            Application.Exit();
        }

        private void FrmYahoo_FormClosed(object sender, FormClosedEventArgs e)
        {
            txtbomb.Text = "0";
            timer1.Stop();
            timer2.Stop();
            Application.Exit();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            FrmInfo frminfo = new FrmInfo();
            frminfo.ShowDialog();
        }
    }
}
